Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Unable to launch Firefox 46 in RHEL 6.6

  • 3 replies
  • 80 have this problem
  • 30055 views
  • Last reply by James

more options

After updating to Firefox 46.0 in RHEL 6.6, when I launch I get the following error: XPCOMGlueLoad error for file /usr/local/firefox/libmozgtk.so: libgtk-3.so.0: cannot open shared object file: No such file or directory Couldn't load XPCOM. I tried to install any package gtk3 or similar, but only find gtk2 and gtk+ are available in Red Hat, and I have already installed. I downgraded to 45.0.2 that works fine. Thanks.

Chosen solution

Firefox 46.0 requires GTK 3.4 (three.four) and newer to run. This means it also needs GTK 3 themes to theme Fx 46.0 now.

Firefox 46.0 and newer will not run on GTK 2 only and is not themed by GTK 2 themes.

If you do manage to update to GTK 3.4 or newer make sure a Oxygen theme is not in use as it may crash Fx 46.0.

If you want to stick with Firefox 45 then use the Firefox 45 ESR instead of the Firefox 45.0.2 Release. The ESR gets allowed security and stability fixes and updates during a new Release. https://www.mozilla.org/firefox/organizations/all/.

Read this answer in context 👍 7

All Replies (3)

more options

Chosen Solution

Firefox 46.0 requires GTK 3.4 (three.four) and newer to run. This means it also needs GTK 3 themes to theme Fx 46.0 now.

Firefox 46.0 and newer will not run on GTK 2 only and is not themed by GTK 2 themes.

If you do manage to update to GTK 3.4 or newer make sure a Oxygen theme is not in use as it may crash Fx 46.0.

If you want to stick with Firefox 45 then use the Firefox 45 ESR instead of the Firefox 45.0.2 Release. The ESR gets allowed security and stability fixes and updates during a new Release. https://www.mozilla.org/firefox/organizations/all/.

more options

James said

Firefox 46.0 requires GTK 3.4 (three.four) and newer to run. This means it also needs GTK 3 themes to theme Fx 46.0 now. Firefox 46.0 and newer will not run on GTK 2 only and is not themed by GTK 2 themes. If you do manage to update to GTK 3.4 or newer make sure a Oxygen theme is not in use as it may crash Fx 46.0. If you want to stick with Firefox 45 then use the Firefox 45 ESR instead of the Firefox 45.0.2 Release. The ESR gets allowed security and stability fixes and updates during a new Release. https://www.mozilla.org/firefox/organizations/all/.

Thanks! I'll try to install GTK3 in RHEL. GTK+ package is the same as GTK3 or is it different? What is the name of the package to get GTK 3 themes?

Modified by pedrorito

more options

I do not use Red Hat to really know what kind of packages package names they provide as I rather use a Linux distro with pretty current packages vs old packages used more for stability.

GTK 3 themes can be in the repositories or you can get them from say http://gnome-look.org/?xcontentmode=167 though most of recent updates of GTK 3 themes there are made for new GTK like say 3.10 or newer in mind.

If you do use the Firefox 45 ESR the last update will likely be 45.8.x ESR unless they extend it.